com.explodingpixels.macwidgets

## Class PreferencesTabBar

- java.lang.Object
- - com.explodingpixels.macwidgets.PreferencesTabBar

    public class PreferencesTabBar
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PreferencesTabBar()`

### Method Summary

Methods
`void` `addTab(String title, Icon icon, ActionListener listener)`
`JComponent` `getComponent()`
`void` `installWindowDraggerOnWindow(Window window)`
`void` `showTab(String title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferencesTabBar

    public PreferencesTabBar()

### Method Detail

#### addTab

    public void addTab(String title,
              Icon icon,
              ActionListener listener)

#### showTab

    public void showTab(String title)

#### installWindowDraggerOnWindow

    public void installWindowDraggerOnWindow(Window window)

#### getComponent

    public JComponent getComponent()